<script>
    import BDD from '../BDD';

    import {
        onMounted,
        ref,
    } from 'vue';

    import RestaurantRow from '../components/RestaurantRow.vue';
    import Header from '../components/Header.vue';

    export default {
        name: 'Home',
        components: {
            RestaurantRow,
            Header,
        },
        setup() {
            class Restaurant {
                constructor(name, note, image, drive_time) {
                    this.name = name
                    this.note = note
                    this.image = image
                    this.drive_time = drive_time
                }
            };

            let data_restaurant = ref([]);

            let all_restaurant = [];

            const makeDataRestaurant = () => {

                let three_restaurant = [];

                for (const restaurant of BDD) {

                    const new_restaurant = new Restaurant(restaurant.name, restaurant.note, restaurant.image,
                        restaurant.drive_time);

                    all_restaurant.push(new_restaurant);


                    if (three_restaurant.length === 2) {

                        three_restaurant.push(new_restaurant);

                        data_restaurant.value.push(three_restaurant);

                        three_restaurant = [];

                    } else {

                        three_restaurant.push(new_restaurant);
                    }
                };
            };


            onMounted(makeDataRestaurant);

            return {
                data_restaurant,
            }
        },
    }
</script>

<template>
    <div class="home">
        <Header />
        <div class="banniere"></div>
        <router-link :to="{name: 'AllUsers'}">Voir les Utilisateurs</router-link>
        <RestaurantRow v-for="(data) in data_restaurant" :three_restaurant="data" />
    </div>
</template>

<style lang="scss">
    .home {

        header {
            height: 120px;
            max-width: 100%;
            display: flex;
            align-items: center;
            justify-content: space-between;

            img {
                max-width: 200px;
            }

            .wrapper-input {
                position: relative;

                input {
                    background-color: #f6f6f6;
                    border: none;
                    height: 50px;
                    width: 300px;
                    outline: none;
                    padding-left: 20px;
                }

                .search {
                    position: absolute;
                    top: 100%;
                    width: 100%;
                    background-color: white;
                    border: solid .1px grey;

                    .container-restaurant-search {
                        display: flex;
                        align-items: center;
                        padding: 10px;

                        &:hover {
                            background-color: #f6f6f6;
                        }

                        .wrapper-img {
                            height: 60px;
                            width: 60px;
                            margin-right: 25px;
                            border-radius: 50%;
                            overflow: hidden;

                            img {
                                height: 100%;
                                width: auto;
                            }
                        }

                        h2 {
                            font-size: 1.2rem;
                        }
                    }
                }
            }
        }

        .banniere {
            height: 200px;
            width: 100%;
            background-image: url(https://www.ubereats.com/restaurant/_static/7b308f7cbbf8e335ceda0447a8bd7c63.png);
            background-size: cover;
            background-position: center;
        }
    }
</style>